SDL_GetMouseState(3)

NAME
SDL_GetMouseState - Retrieve the current state of the mouse.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetMouseState(float *x, float *y);

DESCRIPTION
The current button state is returned as a button bitmask, which can be tested using the SDL_BUTTON(X) macros (where X is generally 1 for the left, 2 for middle, 3 for the right button), and x and y are set to the mouse cursor position relative to the focus window. You can pass NULL for either x or y .

FUNCTION PARAMETERS

x   the x coordinate of the mouse cursor position relative to the focus window

y   the y coordinate of the mouse cursor position relative to the focus window

RETURN VALUE
Returns a 32-bit button bitmask of the current button state.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGlobalMouseState(3), SDL_GetRelativeMouseState(3)